Maintenance for the week of September 23:
• PC/Mac: No maintenance – September 23
• Xbox One: NA and EU megaservers for patch maintenance – September 25, 6:00AM EDT (10:00 UTC) - 10:00AM EDT (14:00 UTC)
• PlayStation®4: NA and EU megaservers for patch maintenance – September 25, 6:00AM EDT (10:00 UTC) - 10:00AM EDT (14:00 UTC)
• ESO Website for maintenance – September 26, 7:00AM EDT (11:00 UTC) - 11:00AM EDT (15:00 UTC)
Update 24 and the Dragonhold DLC Game Pack are both now available for testing on the PTS! Experience the amazing conclusion to the Season of the Dragon saga. You can find the full patch notes here: https://forums.elderscrollsonline.com/en/categories/pts

vc redist x64

Sahugani
Sahugani
The launcher keeps attempting to run vc_redist.x64.exe when it starts. is this supposed to happen? I don't recall the security pop up before at least not since I installed the game. Doesn't seem to be causing any actual problems but it seems odd.
  • Yakidafi
    Yakidafi
    ✭✭✭✭✭
    The redist is required to be able to run the game. Why you get a security alert about i do not know.
    Moons and sands shall be your guide and path.
    PC EU/NA
  • Ethoir
    Ethoir
    ✭✭✭
    I'm getting it too, but mine started on the same day that I decided to reinstall the redistributables to make sure they were all up to date and to help reduce the frequency of game crashes (with error reporter).

    I can't reinstall the specific redist packages the game launcher is giving me security messages for because I already have a newer version and the installation would fail as a result.

    Running the launcher as admin removes the UAC notification spam for the redistributables, but you end up having to grant the launcher permission to run every time you use it. That's just as annoying. So short of disabling UAC (which is a bad idea), what can players do to get it to stop popping up UAC messages about the VC++ redistributables?

    EDIT: I have learned that installing the 2017 VC++ Redistributable will automatically remove the 2015 VC++ Redistributable that ESO's launcher installs. This leads to the launcher not seeing it, trying to install it, and failing because the system flags the 2017 version as a newer revision.
    Edited by Ethoir on June 4, 2018 7:37PM
    Participant in the Sanguine's Tester beta group since November 2013.
  • WIZZARD2K
    WIZZARD2K
    ✭✭✭
    I have this issue too, and it's getting annoying. I recently installed a program that uses vc++ 2017 (14.12.25810), which replaces 2015 (14.0.23026). Can you fix the launcher to recognize the higher version? It works, obviously, but prompts a UAC check every time.
    Here's the logfile of what it says if I try to install vc_redist.x86.exe manually for 2015
    [25E4:2188][2018-06-12T07:21:27]i001: Burn v3.7.3813.0, Windows v10.0 (Build 17134: Service Pack 0), path: C:\Users\richa\Downloads\vc_redist.x86.exe, cmdline: ''
    [25E4:2188][2018-06-12T07:21:27]i000: Setting string variable 'WixBundleLog' to value 'C:\Users\richa\AppData\Local\Temp\dd_vcredist_x86_20180612072127.log'
    [25E4:2188][2018-06-12T07:21:27]i000: Setting string variable 'WixBundleOriginalSource' to value 'C:\Users\richa\Downloads\vc_redist.x86.exe'
    [25E4:2188][2018-06-12T07:21:27]i000: Setting string variable 'WixBundleOriginalSourceFolder' to value 'C:\Users\richa\Downloads\'
    [25E4:2188][2018-06-12T07:21:27]i000: Setting string variable 'WixBundleName' to value 'Microsoft Visual C++ 2015 Redistributable (x86) - 14.0.23026'
    [25E4:2188][2018-06-12T07:21:27]i100: Detect begin, 10 packages
    [25E4:2188][2018-06-12T07:21:27]i000: File search: windows_uCRT_DetectKey, did not find path: C:\WINDOWS\system32\api-ms-win-crt-runtime-l1-1-0.dll
    [25E4:2188][2018-06-12T07:21:27]i000: File search: windows_uCRT_DetectKeyExists, did not find path: C:\WINDOWS\system32\api-ms-win-crt-runtime-l1-1-0.dll
    [25E4:2188][2018-06-12T07:21:27]i000: Setting numeric variable 'windows_uCRT_DetectKeyExists' to value 0
    [25E4:2188][2018-06-12T07:21:27]i102: Detected related bundle: {56e11d69-7cc9-40a5-a4f9-8f6190c4d84d}, type: Upgrade, scope: PerMachine, version: 14.12.25810.0, operation: Downgrade
    [25E4:2188][2018-06-12T07:21:27]i108: Detected compatible package: vcRuntimeMinimum_x86, provider: Microsoft.VS.VC_RuntimeMinimumVSU_x86,v14, installed: {828952EB-5572-3666-8CA9-000B6CE79350}, version: 14.12.25810, chained: {A2563E55-3BEC-3828-8D67-E5E8B9E8B675}
    [25E4:2188][2018-06-12T07:21:27]i103: Detected related package: {828952EB-5572-3666-8CA9-000B6CE79350}, scope: PerMachine, version: 14.12.25810.0, language: 0 operation: Downgrade
    [25E4:2188][2018-06-12T07:21:27]i108: Detected compatible package: vcRuntimeAdditional_x86, provider: Microsoft.VS.VC_RuntimeAdditionalVSU_x86,v14, installed: {7FED75A1-600C-394B-8376-712E2A8861F2}, version: 14.12.25810, chained: {BE960C1C-7BAD-3DE6-8B1A-2616FE532845}
    [25E4:2188][2018-06-12T07:21:27]i103: Detected related package: {7FED75A1-600C-394B-8376-712E2A8861F2}, scope: PerMachine, version: 14.12.25810.0, language: 0 operation: Downgrade
    [25E4:2188][2018-06-12T07:21:27]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to false.
    [25E4:2188][2018-06-12T07:21:27]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to false.
    [25E4:2188][2018-06-12T07:21:27]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to false.
    [25E4:2188][2018-06-12T07:21:27]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to false.
    [25E4:2188][2018-06-12T07:21:27]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to false.
    [25E4:2188][2018-06-12T07:21:27]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to false.
    [25E4:2188][2018-06-12T07:21:27]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to false.
    [25E4:2188][2018-06-12T07:21:27]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to false.
    [25E4:2188][2018-06-12T07:21:27]i101: Detected package: vcRuntimeMinimum_x86, state: Obsolete, cached: None
    [25E4:2188][2018-06-12T07:21:27]i101: Detected package: vcRuntimeAdditional_x86, state: Obsolete, cached: None
    [25E4:2188][2018-06-12T07:21:27]i101: Detected package: Windows81_x86, state: Absent, cached: None
    [25E4:2188][2018-06-12T07:21:27]i101: Detected package: Windows81_x64, state: Absent, cached: None
    [25E4:2188][2018-06-12T07:21:27]i101: Detected package: Windows8_x86, state: Absent, cached: None
    [25E4:2188][2018-06-12T07:21:27]i101: Detected package: Windows8_x64, state: Absent, cached: None
    [25E4:2188][2018-06-12T07:21:27]i101: Detected package: Windows7_MSU_x86, state: Absent, cached: None
    [25E4:2188][2018-06-12T07:21:27]i101: Detected package: Windows7_MSU_x64, state: Absent, cached: None
    [25E4:2188][2018-06-12T07:21:27]i101: Detected package: WindowsVista_MSU_x86, state: Absent, cached: None
    [25E4:2188][2018-06-12T07:21:27]i101: Detected package: WindowsVista_MSU_x64, state: Absent, cached: None
    [25E4:2188][2018-06-12T07:21:27]i052: Condition 'VersionNT >= v6.0 OR (VersionNT = v5.1 AND ServicePackLevel >= 2) OR (VersionNT = v5.2 AND ServicePackLevel >= 1)' evaluates to true.
    [25E4:2188][2018-06-12T07:21:27]i199: Detect complete, result: 0x0
    [25E4:5D5C][2018-06-12T07:23:28]e000: Error 0x80070666: Cannot install a product when a newer version is installed.
  • WIZZARD2K
    WIZZARD2K
    ✭✭✭
    I found the log for the file the ESO launcher tries to install:

    [1EA0:5E40][2018-06-12T07:19:47]i001: Burn v3.7.3813.0, Windows v10.0 (Build 17134: Service Pack 0), path: K:\Games\Zenimax Online\Launcher\vcredist_x86_2015.exe, cmdline: '/q /norestart -burn.unelevated BurnPipe.{174C2A9B-5D32-418B-8C93-217E8AC1D7C2} {0919D768-4CB1-49AC-B07A-71458ECC14DE} 7008'
    [1EA0:5E40][2018-06-12T07:19:47]i000: Setting string variable 'WixBundleLog' to value 'C:\Users\richa\AppData\Local\Temp\dd_vcredist_x86_20180612071947.log'
    [1EA0:5E40][2018-06-12T07:19:47]i000: Setting string variable 'WixBundleOriginalSource' to value 'K:\Games\Zenimax Online\Launcher\vcredist_x86_2015.exe'
    [1EA0:5E40][2018-06-12T07:19:47]i000: Setting string variable 'WixBundleOriginalSourceFolder' to value 'K:\Games\Zenimax Online\Launcher\'
    [1EA0:5E40][2018-06-12T07:19:47]i000: Setting string variable 'WixBundleName' to value 'Microsoft Visual C++ 2015 Redistributable (x86) - 14.0.24210'
    [1EA0:5E40][2018-06-12T07:19:47]i100: Detect begin, 10 packages
    [1EA0:5E40][2018-06-12T07:19:47]i000: Setting version variable 'windows_uCRT_DetectKey' to value '10.0.17134.1'
    [1EA0:5E40][2018-06-12T07:19:47]i000: Setting numeric variable 'windows_uCRT_DetectKeyExists' to value 1
    [1EA0:5E40][2018-06-12T07:19:47]i102: Detected related bundle: {56e11d69-7cc9-40a5-a4f9-8f6190c4d84d}, type: Upgrade, scope: PerMachine, version: 14.12.25810.0, operation: Downgrade
    [1EA0:5E40][2018-06-12T07:19:47]i108: Detected compatible package: vcRuntimeMinimum_x86, provider: Microsoft.VS.VC_RuntimeMinimumVSU_x86,v14, installed: {828952EB-5572-3666-8CA9-000B6CE79350}, version: 14.12.25810, chained: {8FD71E98-EE44-3844-9DAD-9CB0BBBC603C}
    [1EA0:5E40][2018-06-12T07:19:47]i103: Detected related package: {828952EB-5572-3666-8CA9-000B6CE79350}, scope: PerMachine, version: 14.12.25810.0, language: 0 operation: Downgrade
    [1EA0:5E40][2018-06-12T07:19:47]i108: Detected compatible package: vcRuntimeAdditional_x86, provider: Microsoft.VS.VC_RuntimeAdditionalVSU_x86,v14, installed: {7FED75A1-600C-394B-8376-712E2A8861F2}, version: 14.12.25810, chained: {D8C8656B-0BD8-39C3-B741-F889B7C144E5}
    [1EA0:5E40][2018-06-12T07:19:47]i103: Detected related package: {7FED75A1-600C-394B-8376-712E2A8861F2}, scope: PerMachine, version: 14.12.25810.0, language: 0 operation: Downgrade
    [1EA0:5E40][2018-06-12T07:19:47]i052: Condition '(VersionNT = v6.3 AND NOT VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
    [1EA0:5E40][2018-06-12T07:19:47]i052: Condition '(VersionNT = v6.3 AND VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
    [1EA0:5E40][2018-06-12T07:19:47]i052: Condition '(VersionNT = v6.2 AND NOT VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
    [1EA0:5E40][2018-06-12T07:19:47]i052: Condition '(VersionNT = v6.2 AND VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
    [1EA0:5E40][2018-06-12T07:19:47]i052: Condition '(VersionNT = v6.1 AND NOT VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
    [1EA0:5E40][2018-06-12T07:19:47]i052: Condition '(VersionNT = v6.1 AND VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
    [1EA0:5E40][2018-06-12T07:19:47]i052: Condition '(VersionNT = v6.0 AND NOT VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
    [1EA0:5E40][2018-06-12T07:19:47]i052: Condition '(VersionNT = v6.0 AND VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
    [1EA0:5E40][2018-06-12T07:19:47]i101: Detected package: vcRuntimeMinimum_x86, state: Obsolete, cached: None
    [1EA0:5E40][2018-06-12T07:19:47]i101: Detected package: vcRuntimeAdditional_x86, state: Obsolete, cached: None
    [1EA0:5E40][2018-06-12T07:19:47]i101: Detected package: Windows81_x86, state: Absent, cached: None
    [1EA0:5E40][2018-06-12T07:19:47]i101: Detected package: Windows81_x64, state: Absent, cached: None
    [1EA0:5E40][2018-06-12T07:19:47]i101: Detected package: Windows8_x86, state: Absent, cached: None
    [1EA0:5E40][2018-06-12T07:19:47]i101: Detected package: Windows8_x64, state: Absent, cached: None
    [1EA0:5E40][2018-06-12T07:19:47]i101: Detected package: Windows7_MSU_x86, state: Absent, cached: None
    [1EA0:5E40][2018-06-12T07:19:47]i101: Detected package: Windows7_MSU_x64, state: Absent, cached: None
    [1EA0:5E40][2018-06-12T07:19:47]i101: Detected package: WindowsVista_MSU_x86, state: Absent, cached: None
    [1EA0:5E40][2018-06-12T07:19:47]i101: Detected package: WindowsVista_MSU_x64, state: Absent, cached: None
    [1EA0:5E40][2018-06-12T07:19:47]i052: Condition 'VersionNT >= v6.0 OR (VersionNT = v5.1 AND ServicePackLevel >= 2) OR (VersionNT = v5.2 AND ServicePackLevel >= 1)' evaluates to true.
    [1EA0:5E40][2018-06-12T07:19:47]i199: Detect complete, result: 0x0
    [1EA0:7D8C][2018-06-12T07:19:47]e000: Error 0x80070666: Cannot install a product when a newer version is installed.
    [1EA0:5E40][2018-06-12T07:19:47]i500: Shutting down, exit code: 0x666
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: SystemFolder = C:\WINDOWS\system32\
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: VersionNT = 10.0.0.0
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: VersionNT64 = 10.0.0.0
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: windows_uCRT_DetectKey = 10.0.17134.1
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: windows_uCRT_DetectKeyExists = 1
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: WixBundleAction = 5
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: WixBundleCompressed = 1
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: WixBundleElevated = 1
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: WixBundleInstalled = 0
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: WixBundleLog = C:\Users\richa\AppData\Local\Temp\dd_vcredist_x86_20180612071947.log
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: WixBundleManufacturer = Microsoft Corporation
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: WixBundleName = Microsoft Visual C++ 2015 Redistributable (x86) - 14.0.24210
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: WixBundleOriginalSource = K:\Games\Zenimax Online\Launcher\vcredist_x86_2015.exe
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: WixBundleOriginalSourceFolder = K:\Games\Zenimax Online\Launcher\
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: WixBundleProviderKey = {23658c02-145e-483d-ba6b-1eb82c580529}
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: WixBundleTag =
    [1EA0:5E40][2018-06-12T07:19:47]i410: Variable: WixBundleVersion = 14.0.24210.0
    [1EA0:5E40][2018-06-12T07:19:47]i007: Exit code: 0x666, restarting: No
  • novafluxxb14_ESO
    I'm having the same issue. I reinstalled the launcher and the first run was clean, but every subsequent run it tries to install VV_redist again. It's really annoying.
  • Grila
    Grila
    Same here.
    Had to install a newer version of VC Redist because of my mouse-software.
  • WIZZARD2K
    WIZZARD2K
    ✭✭✭
    So is this just going to remain a permanent "feature" ?
    Still waiting for the update to the version check to handle newer versions!
  • TT33
    TT33
    Yep happening to me too. Another piece of software did a version update and now I get this each time I start the launcher. No big deal, just unusual.
  • Yirmeyahu
    Yirmeyahu
    ✭✭✭
    So, what's the progress report on this?
    I'm currently having the same issue.

    The only other time I've seen anything like this with vcredist was when trying to install very poorly written software for an off-brand keyboard years ago. Surely TESO is beyond that level and this issue will be addressed very soon. #FingersCrossed
    With nearly 13,000 hours played in The Elder Scrolls Online,
    every Veteran Trial and Dungeon (including Hard Modes) completed
    on all classes (Magicka & Stamina spec) as Damage Dealer, Healer,
    and Tank, as well as a Former Emperor of Cyrodiil Title...
    I am Yahu, and I am the best TESO player you've never heard of.
  • Rolo42
    Rolo42
    ✭✭
    Here's how I stopped that recurring UAC prompt from the ESO Launcher trying to install VC redist 2015:

    1. Download VC redist 2017 files (you can get it from Microsoft or a handy little utility called "PatchMyPC")
    2. Copy or move the 2017 files into the C:\Program Files (x86)\Zenimax Online\Launcher
    3. Delete the 2015 files, vcredist_x86_2015 and vcredist_x64_2015
    4. Rename the 2017 files the 2015 filenames
  • Misharra
    Misharra
    Soul Shriven
    The trick I used to get around this is covered in this thread from Microsoft. Short version: You can't install VC Redist 2015 if the 2017 variant is in place.

    You can use the above trick from Rolo42 but (I'm completely theorizing) that may leave later installs of other software confused about which redist is present. It could end up just fine, too. 2017 is an equal substitute for 2015, which is why ESO doesn't freak out even after that annoying pop-up alert.

    What I did was:

    1. Uninstall VC Redist 2017 from Programs and Features
    2. Install VC Redist 2015.
    3. Re-install the 2017 packages (Download links for x64 and x86).

    Soon as I did this, all issues were resolved. Again credit to Rolo42 above, and the folks on the Microsoft thread.
  • Rolo42
    Rolo42
    ✭✭
    Note that the VC Redistributable 2015 that comes with ESO is outdated. If you install it, before you do anything else, run Windows Update with the "Update other software..." option enabled to get VC2015 SP1 installed (or manually hunt for it and install it).

    In theory, VC2017 should obviate this but since Microsoft is generally sloppy--as evidenced by this fiasco--I wouldn't make such an assumption.

    Were I building a new PC, I would go the 2015-->SP1-->2017 route as Misharra suggested
  • zerohasteb14_ESO
    zerohasteb14_ESO
    Soul Shriven
    Misharra wrote: »
    The trick I used to get around this is covered in this thread from Microsoft. Short version: You can't install VC Redist 2015 if the 2017 variant is in place.

    You can use the above trick from Rolo42 but (I'm completely theorizing) that may leave later installs of other software confused about which redist is present. It could end up just fine, too. 2017 is an equal substitute for 2015, which is why ESO doesn't freak out even after that annoying pop-up alert.

    What I did was:

    1. Uninstall VC Redist 2017 from Programs and Features
    2. Install VC Redist 2015.
    3. Re-install the 2017 packages (Download links for x64 and x86).

    Soon as I did this, all issues were resolved. Again credit to Rolo42 above, and the folks on the Microsoft thread.

    Does this still work for anyone? I did exactly this and am still getting the pop-ups when the launcher opens.
  • Rolo42
    Rolo42
    ✭✭
    If that doesn't work then try the steps that worked for me listed above
  • GhostGoneMad
    GhostGoneMad
    Soul Shriven
    The fix provided by Rolo42 worked for me. Thanks for the fix!
  • LuckyLuke
    LuckyLuke
    ✭✭✭
    I am just starting to enjoy this feature
  • mague
    mague
    ✭✭✭✭
    Me too :)
  • hipergo
    hipergo
    Soul Shriven
    Simple way to resolve the issue:
    1. Go to https://support.microsoft.com/en-us/help/2977003/the-latest-supported-visual-c-downloads
    2. Download and install redistributable packages for Visual Studio 2015, 2017 and 2019
      • x86: vc_redist.x86.exe
      • x64: vc_redist.x64.exe

    P.S. what a trash technical support
Sign In or Register to comment.